streams.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/tchar.h>`
`#include <iosfwd>`
Include dependency graph for streams.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cplus

## Typedefs

typedef std::basic_ostream< tchar > | log4cplus::tostream
typedef std::basic_istream< tchar > | log4cplus::tistream
typedef std::basic_ostringstream< tchar > | log4cplus::tostringstream
typedef std::basic_istringstream< tchar > | log4cplus::tistringstream

## Variables

LOG4CPLUS_EXPORT tostream & | log4cplus::tcout
LOG4CPLUS_EXPORT tostream & | log4cplus::tcerr